List Quotes

Retrieves basic information for all sales quotes in your store. Use the parameters to narrow your results, such as filtering by a date range or quotes from a specific Company account.

More detailed information, such as line items and shipping details, can be retrieved with the Get Quote Details endpoint.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

offsetintegerOptional

The number of results to skip before returning the first result. If left blank, this defaults to 0.

limitintegerOptional

Determines the number of records to return per page. If left blank, this defaults to 10.

sortByenumOptionalDefaults to updatedAt

Sorts results by Company name (company), quote status (status), sales rep name (salesRep), creation date (createdAt), expiration date (expiredAt), or last updated date (updatedAt). It defaults to the last updated date if no parameter is provided.

orderByenumOptionalDefaults to desc
Establish a descending or ascending order of results. The order defaults to descending if the parameter is not included.
Allowed values:
qstringOptional
Enter quote information to return partial and exact matches. Accepted information fields include quote number, quote title, Company name, assigned sales rep, and Company user first and last name.
quoteNumberstringOptional
Enter a full or partial quote number to retrieve relevant quotes.
companystringOptional
Enter a full or partial Company name to retrieve relevant quotes.
salesRepstringOptional
The name of the sales rep assigned to the quote.
statusenumOptional

The backend status of the sales quote. Note that these are not the same as buyer-facing quote status. See Quote Statuses for more information.

quoteTitlestringOptional
The external title given to the quote.
createdBystringOptional
The name of the sales rep or buyer who created the quote.
maxCreatedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all quotes created before that time.
minCreatedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all quotes created after that time.
maxModifiedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all quotes modified before that time.
minModifiedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all quotes modified after that time.
maxExpiredintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all quotes that expired before that time.
minExpiredintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all quotes that expired after that time.
channelIds[]list of integersOptional

Enter one or more storefront channel IDs to retrieve quotes assigned to the storefront(s). Use 1 for your store’s default storefront channel. Separate channel IDs with a comma.

Response

OK

A 200 response has a body with information on all quotes based on the provided parameters. If there are no quotes that correspond to the provided parameter values, the endpoint still returns a 200 response, but the data array is empty.

codedoubleDefaults to 200
HTTP Response Code
dataobject
messagestringDefaults to SUCCESS
metaobject

Errors

400
Bad Request Error